import { Module, ModuleOptions, PisellCore } from '../../types';
import { BaseModule } from '../BaseModule';
import { SurchargeListItem, SurchargeListModuleAPI } from './types';
export * from './types';
export declare class SurchargeListModule extends BaseModule implements Module, SurchargeListModuleAPI {
    protected defaultName: string;
    protected defaultVersion: string;
    private request;
    private store;
    private loadingPromise;
    constructor(name?: string, version?: string);
    initialize(core: PisellCore, options: ModuleOptions): Promise<void>;
    getSurchargeList(): Promise<SurchargeListItem[]>;
    refreshSurchargeList(): Promise<SurchargeListItem[]>;
    private loadSurchargeList;
}
